> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Company Credit Status

GET https://api-b2b.bigcommerce.com/api/v3/io/companies/{companyId}/credit

Returns the credit settings for the Company specified by `companyId`. If the Company credit feature is disabled, this request will fail. See [B2B Edition Settings](https://support.bigcommerce.com/s/article/B2B-Edition-Settings) for more information.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/payment/get-companies-company-id-credit

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `companyId` (integer, required) — The unique numeric ID of the Company assigned by B2B Edition.

## Response

### 200

SUCCESS

- `code` (integer, optional, default: 200) — Operation status code.
- `data` (creditStatus, optional)
- `meta` (CompaniesCompanyIdCreditGetResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 400 Bad Request Error

Invalid Request This error is returned if the credit feature is disabled for the store. Enable the feature in B2B Edition to get valid response data.

- `code` (integer, optional, default: 400) — Operation status code.
- `data` (CompaniesCompanyIdCreditGetResponsesContentApplicationJsonSchemaData, optional)
- `meta` (CompaniesCompanyIdCreditGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### creditStatus

- `creditEnabled` (boolean, optional) — Indicates whether credit is enabled for the Company.
- `creditCurrency` (string, optional) — The 3-character currency code of the Company's credit account.
- `availableCredit` (double, optional) — The amount of credit available to the Company.
- `limitPurchases` (boolean, optional) — Indicates whether the Company users are allowed to make purchases using purchase orders when total price exceeds available credit.
- `creditHold` (boolean, optional) — Indicates whether the Company account is on a credit hold. If `true`, this flag prevents all Company users from making purchases.

### CompaniesCompanyIdCreditGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: API logic error) — Human-readable status message.

### CompaniesCompanyIdCreditGetResponsesContentApplicationJsonSchemaData

- `errMsg` (string, optional, default: Store company credit is not enabled)

## Examples

**Response**

```json
{
  "code": 200,
  "data": {
    "creditEnabled": true,
    "creditCurrency": "USD",
    "availableCredit": 5000,
    "limitPurchases": false,
    "creditHold": false
  },
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python Payment_get-companies-companyId-credit_example
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Payment_get-companies-companyId-credit_example
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Payment_get-companies-companyId-credit_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Payment_get-companies-companyId-credit_example
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Payment_get-companies-companyId-credit_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Payment_get-companies-companyId-credit_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Payment_get-companies-companyId-credit_example
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Payment_get-companies-companyId-credit_example
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/companies/1/credit")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```